Package org.eclipse.emf.cdo.ui

# Interface UserInfo.Manager.UserInfoStorage.Writable

All Superinterfaces:
  `UserInfo.Manager.UserInfoStorage`

All Known Implementing Classes:
  `UserInfo.Manager.HomeUserInfoStorage`, `UserInfo.Manager.PreferencesUserInfoStorage`

Enclosing interface:
  UserInfo.Manager.UserInfoStorage

public static interface UserInfo.Manager.UserInfoStorage.Writable extends UserInfo.Manager.UserInfoStorage
Provides a method to save the user info object for the `local user`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.ui.UserInfo.Manager.UserInfoStorage

`UserInfo.Manager.UserInfoStorage.Factory, UserInfo.Manager.UserInfoStorage.Writable`

## Method Summary

Modifier and Type
Method
Description
`void`
`saveUserInfo(UserInfo userInfo)`

### Methods inherited from interface org.eclipse.emf.cdo.ui.UserInfo.Manager.UserInfoStorage

`loadUserInfo`

## Method Details

### saveUserInfo

void saveUserInfo(UserInfo userInfo) throws IOException

Throws:
  `IOException`